//单行文本
export const singleLine =
` <a-form-item :label="formData.value.label" v-if="formData.value.showVisible">
    <a-input v-decorator="[formData.value.id, { initialValue:formData.value.initialValue }]"  :disabled="formData.value.disabled" :readonly="formData.value.readonly"></a-input>
  </a-form-item>`

//多行文本
export const multiLine =
` <a-form-item :label="formData.value.label" v-if="formData.value.showVisible">
       <a-textarea v-decorator="[formData.value.id, { initialValue:formData.value.initialValue }]" placeholder="Controlled autosize" :disabled="formData.value.disabled"/>
  </a-form-item>`

//文本对象
export const lineJs=
    `   {
        id:' ',
        type:'input',
        label:'',
        name:'',
        readonly:false,
        disabled:false,
        showVisible:true,
        initialValue:null
}`

//下拉
export const select =
` <a-form-item :label="formData.value.label" v-if="formData.value.showVisible">
    <a-select v-decorator="[formData.value.id, { initialValue:formData.value.initialValue }]">
      <a-select-option v-if="formData.value.options" v-for="item in formData.value.options" :value="item.value">{{ item.label }}</a-select-option>
    </a-select>
  </a-form-item>`

//复选框
export const checkbox =
`  <a-form-item :label="formData.value.label" v-if="formData.value.showVisible">
     <a-checkbox-group  v-decorator="[formData.value.id, { initialValue:formData.value.initialValue }]" name="checkboxgroup" :options="formData.value.options" @change=""/>
  </a-form-item>`

//单选
export const radio =
`  <a-form-item :label="formData.value.label" v-if="formData.value.showVisible">
      <a-radio-group v-decorator="[formData.value.id, { initialValue:formData.value.initialValue }]" :options="formData.value.options"  @change="" />
  </a-form-item>`

//     <a-radio-group v-model="formData.value.name" @change="onChange">
//     <a-radio  v-if="formData.value.options" v-for="item in formData.value.options" :value="item.value">
//     {{ item.label }}
// </a-radio>
// </a-radio-group>
export const selectJs =
`  {
      id: ' ',
      type: 'select',
      label: ' ',
      name: ' ',
      disabled: false,
      showVisible: true,
      initialValue:null,
      options:[
        {value:'1',label:'ac'},
        {value:'2',label:'de'}
      ]
    }`

//树
export const datePicker =
`  <a-form-item :label="formData.value.label" v-if="formData.value.showVisible">
      <a-date-picker show-time placeholder="Select Time" @change="onChange" @ok="onOk" v-decorator="[formData.value.id, { initialValue:formData.value.initialValue }]"/>
  </a-form-item>`

